curl --request POST \
--url https://api.hubapi.com/communication-preferences/2026-03/statuses/batch/read \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
"<string>"
]
}
'import requests
url = "https://api.hubapi.com/communication-preferences/2026-03/statuses/batch/read"
payload = { "inputs": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({inputs: ['<string>']})
};
fetch('https://api.hubapi.com/communication-preferences/2026-03/statuses/batch/read', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"statuses": [
{
"channel": "EMAIL",
"source": "<string>",
"status": "NOT_SPECIFIED",
"subscriberIdString": "<string>",
"subscriptionId": 123,
"timestamp": "2023-11-07T05:31:56Z",
"businessUnitId": 123,
"legalBasis": "CONSENT_WITH_NOTICE",
"legalBasisExplanation": "<string>",
"setStatusSuccessReason": "NO_STATUS_CHANGE",
"subscriptionName": "<string>"
}
],
"subscriberIdString": "<string>"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"statuses": [
{
"channel": "EMAIL",
"source": "<string>",
"status": "NOT_SPECIFIED",
"subscriberIdString": "<string>",
"subscriptionId": 123,
"timestamp": "2023-11-07T05:31:56Z",
"businessUnitId": 123,
"legalBasis": "CONSENT_WITH_NOTICE",
"legalBasisExplanation": "<string>",
"setStatusSuccessReason": "NO_STATUS_CHANGE",
"subscriptionName": "<string>"
}
],
"subscriberIdString": "<string>"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Batch retrieve subscription statuses
Rufen Sie die Abonnementstatus für eine Reihe von Kontakten batchweise ab.
Supported products
Supported products
Required Scopes
Required Scopes
Autorisierungen
The access token received from the authorization server in the OAuth 2.0 flow.
Abfrageparameter
Der Kommunikationskanal zum Filtern der Abonnementstatus. Muss „EMAIL“ sein.
EMAIL Eine optionale Ganzzahl, die die ID des Unternehmensbereichs darstellt. Dieser Parameter hilft, die Ergebnisse basierend auf dem spezifischen Unternehmensbereich zu filtern.
Body
Eine Liste von Zeichenfolgen, die für die Eingaben von Batch-Vorgängen stehen.
Antwort
successful operation
Der Zeitpunkt (Datum und Uhrzeit), zu dem der Batch-Prozess abgeschlossen wurde.
Das Array der Ergebnisse aus dem Batch-Prozess, die jeweils Informationen zum Abonnementstatus enthalten.
Show child attributes
Show child attributes
Der Zeitpunkt (Datum und Uhrzeit), zu dem der Batch-Prozess begann.
Der aktuelle Status des Batch-Prozesses mit den möglichen Werten: PENDING, PROCESSING, CANCELED oder COMPLETE.
CANCELED, COMPLETE, PENDING, PROCESSING Eine Sammlung von zugehörigen Links, die der Batch-Antwort zugeordnet sind.
Show child attributes
Show child attributes
Der Zeitpunkt (Datum und Uhrzeit), zu dem die Batch-Anfrage gestellt wurde.